%define upstream_name    File-Find-Upwards
%define upstream_version 1.102030

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Look for a file in the current directory and upwards
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Memoize)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
Provides a function that can find a file in the current or a parent
directory.

* file_find_upwards()

  Takes a filename and looks for the file in the current directory. If
  there is no such file, it traverses up the directory hierarchy until it
  finds the file or until it reaches the topmost directory. If the file is
  found, the full path to the file is returned. If the file is not found,
  undef is returned.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.102.30-8pclos2017
- rebuild against updates

